Accept Quote
POSTπ Trading
Accept a quote for an OTC order. Requires the Trading permission.
After requesting a quote with baseSize, you can use baseSize to partially accept the quote. Likewise, you can use quoteSize to partially accept a quote that was requested with quoteSize.
In any of the scenarios below, the original baseSize and quoteSize will be accepted in full without any message:
- Send neither
baseSizenorquoteSize. - Send
baseSizehigher than the quoted amount. - Send
quoteSizehigher than the quoted amount. - Send
baseSizewhen the quote was requested withquoteSize. - Send
quoteSizewhen the quote was requested withbaseSize.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| quoteId | String | Yes | Quote ID returned from Request Quote |
| baseSize | String | No | Partial baseCurrency amount to accept. Omit both baseSize and quoteSize to accept the full quoted amount. |
| quoteSize | String | No | Partial quoteCurrency amount to accept. Omit both baseSize and quoteSize to accept the full quoted amount. |
Response Contentβ
Successful response
example
POST
https://api.btse.com/public-api/otc/v1/quotes/acceptRequest (Common)
{
"quoteId": "0001-0001-0001-0001"
}
Request (Accept with specified baseSize)
{
"quoteId": "0003-0003-0003-0003",
"baseSize": "10.0"
}
Request (Accept with specified quoteSize)
{
"quoteId": "0004-0004-0004-0004",
"quoteSize": "200.0"
}
Response (Common)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325778012,
"data": {
"quoteId": "0001-0001-0001-0001",
"clOrderId": "test-0001",
"side": "BUY",
"baseSize": "15.0",
"baseCurrency": "BTC",
"quoteSize": "257735.09868",
"quoteCurrency": "USDT",
"ratio": "17182.33991211",
"expireTime": 1673325783227,
"status": "COMPLETED"
}
}
Response (Accept with specified baseSize)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325777227,
"data": {
"quoteId": "0003-0003-0003-0003",
"clOrderId": "test-0003",
"side": "SELL",
"baseSize": "10.0",
"baseCurrency": "BTC",
"quoteSize": "130.25046761",
"quoteCurrency": "ETH",
"ratio": "13.025046761",
"expireTime": 1673325783227,
"status": "COMPLETED"
}
}
Response (Accept with specified quoteSize)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325777227,
"data": {
"quoteId": "0004-0004-0004-0004",
"clOrderId": "test-0004",
"side": "SELL",
"baseSize": "15.3550312463",
"baseCurrency": "BTC",
"quoteSize": "200.0",
"quoteCurrency": "ETH",
"ratio": "13.025046761",
"expireTime": 1673325783227,
"status": "COMPLETED"
}
}
Response (Accept but expired or ratio change)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673506479119,
"data": {
"quoteId": "2000-2000-2000-2000",
"clOrderId": "test-0002",
"side": "BUY",
"baseSize": "18.624803705",
"baseCurrency": "BTC",
"quoteSize": "340000.0",
"quoteCurrency": "USDT",
"ratio": "18255.225955",
"expireTime": 1673506485119,
"ttl": 6,
"status": "REQUOTE"
}
}